<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('notificacoes', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->foreignId('credencial_id')->constrained('credenciais')->onDelete('cascade');
            $table->foreignId('produto_id')->constrained('produtos')->onDelete('cascade');
            $table->integer('quantidade_transacoes');
            $table->enum('metodo_pagamento', ['pix', 'credit_card']);
            $table->integer('taxa_aprovacao')->nullable();
            $table->enum('tempo_unidade', ['minutos', 'horas']);
            $table->integer('tempo_valor');
            $table->integer('transacoes_enviadas')->default(0);
            $table->integer('transacoes_aprovadas')->default(0);
            $table->integer('transacoes_reprovadas')->default(0);
            $table->enum('status', ['pendente', 'processando', 'concluida', 'erro'])->default('pendente');
            $table->timestamp('iniciada_em')->nullable();
            $table->timestamp('concluida_em')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('notificacoes');
    }
};
